Doomsday Engine - Feature #1836

External map progression, episode and hub definitions
2014-07-17 15:52 - danij

Status: Closed Start date: 2014-07-18
Priority: Normal % Done: 100%
Assignee: danij

Category: Enhancement

Target version: 1.15

Description

Presently these are hard coded with the exception of Hexen (which uses MAPINFO). Moving these to definition files would allow us
easily support optional "mission packs" for expansions (such as No Rest For The Living, from the BFG Edition) and support user
expansion and modification.

Related issues:

Related to Feature #1838: Enhance "warp" and -warp to support map specificati... Closed 2014-07-17
Follows Feature #1835: Rebuild the game menu on engine reset Closed 2014-07-17
Precedes Feature #1575: Support Doom 2 IWAD in "Doom 3 BFG Edition" (includin... Closed 2014-07-19
Follows Feature #1839: Reference maps by URI in networked games Closed 2014-07-17
Follows Feature #1842: Support ZDoom's episode and hub definitions in MAPINFO Progressed 2014-07-17
History

#1 - 2014-07-17 15:52 - danij

- Related to Feature #1835: Rebuild the game menu on engine reset added

#2 - 2014-07-17 15:53 - danij

- Related to deleted (Feature #1835: Rebuild the game menu on engine reset)

#3 - 2014-07-17 15:53 - danij

- Follows Feature #1835: Rebuild the game menu on engine reset added

#4 - 2014-07-17 16:10 - danij
- Related to Feature #1838: Enhance "warp" and -warp to support map specification by URI added

#5 - 2014-07-17 16:11 - danij
- Precedes Feature #1575: Support Doom 2 IWAD in "Doom 3 BFG Edition" (including "No Rest for the Living") added

#6 - 2014-07-17 16:12 - danij

- Tracker changed from Bug to Feature

#7 - 2014-07-17 16:20 - danij
- % Done changed from 0 to 20

#8 - 2014-07-17 16:40 - danij
- Follows Feature #1839: Reference maps by URI in networked games added

#9 - 2014-07-17 17:04 - danij
- Follows Feature #1842: Support ZDoom's episode and hub definitions in MAPINFO added

#10 - 2014-07-25 08:10 - danij
- Status changed from New to In Progress
- Assignee set to danij

- % Done changed from 20 to 50
#11 - 2014-07-27 00:08 - danij

- Target version setto 1.15

#12 - 2014-07-29 02:44 - danij
- % Done changed from 50 to 60

#13 - 2014-07-29 18:20 - danij
- % Done changed from 60 to 70

#14 - 2014-08-09 08:44 - danij
- % Done changed from 70 to 80

#15 - 2014-08-19 21:16 - danij
- % Done changed from 80 to 90

#16 - 2014-11-18 20:33 - danij
- Status changed from In Progress to Closed

- % Done changed from 90 to 100
